%define gcj_support 1
%define	name	jrefactory
%define	version	2.8.9
%define	release	%mkrel 4.2
%define	section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	JRefactory and Pretty Print
License:	Apache License
Group:		Development/Java
Source0:	%{name}-%{version}-full-RHCLEAN.zip
Patch0:		%{name}-pr21880.patch.bz2
Patch1:		%{name}-htmleditorkit.patch.bz2
Patch2:		%{name}-savejpg.patch.bz2
Patch3:		%{name}-2.8.9-fixcrlf.patch.bz2
Url:		http://jrefactory.sourceforge.net/
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant
%if %{gcj_support}
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:	noarch
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JRefactory provides a variety of refactoring and pretty printing tools

%prep
%setup -q -c -n %{name}
mv settings/.Refactory settings/sample
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
rm -f src/org/acm/seguin/pmd/swingui/PMDLookAndFeel.java

# clean jarfiles
find . -name "*.jar" -exec rm -f {} \;

# remove classes that don't build without said jarfiles
find -name '*.java' | \
    xargs grep -l '^import \(edu\|org\.\(jaxen\|saxpath\)\)\.' | \
        xargs rm

%build
perl -p -i -e 's|^Class-Path:.*||' \
	src/meta-inf/refactory.mf
%ant jar

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 ant.build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)

%if %{gcj_support}
aot-compile-rpm
%endif

for i in docs/{*.html,*.jpg,*.gif,*.txt} settings/sample/*; do
  %{__perl} -pi -e 's/\r$//g' $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0664,root,root,0755)
%doc docs/{*.html,*.jpg,*.gif,*.txt} settings/sample
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%changelog
* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:2.8.9-4.2mdv2007.0
- rebuild for libgcj.so.7
- own %%{_libdir}/gcj/%%{name}

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:2.8.9-4.1mdk
- sync with 4jpp
- aot-compile

* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:2.8.9-3.1mdk
- release

* Wed Jun 15 2005 Gary Benson <gbenson@redhat.com> - 0:2.8.9-3jpp_1fc
- Build into Fedora.

* Wed Jun  8 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.
- Remove classes that don't build without said jarfiles.

* Thu Jun  2 2005 Gary Benson <gbenson@redhat.com>
- Avoid some API holes in libgcj's Swing implementation.
- Avoid Sun-specific classes.

* Fri Oct 15 2004 Fernando Nasser <fnasser@redhat.com> - 0:2.8.9-3jpp_1rh
- First Red Hat build

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.8.9-3jpp
- Rebuild with ant-1.6.2

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:2.8.9-2jpp
- Upgrade to Ant 1.6.X

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:2.8.9-1jpp
- 2.8.9
- remove Class-Path from manifest

* Mon Dec 15 2003 Paul Nasrat <pauln at truemesh.com> 0:2.6.40-1jpp
- Initial Release
